<?php
session_start();
header("Access-Control-Allow-Origin: *");
require_once("./conexao.php");
date_default_timezone_set('America/Bahia');
$conn   = conn();
$conn_s = conn_s();

function connWeb(){
   // $db = mysqli_connect("192.185.215.88", "unidosim_newjay", "Chamod777", "unidosim_db_system") or die("Erro ao selecionar banco");
   $db = mysqli_connect("mysql60-farm2.uni5.net", "unidosimportad02", "Xtdc122714", "unidosimportad02") or die("Erro ao selecionar banco");
   //   $db = mysqli_connect("localhost", "root", "", "unidos_web") or die("Erro ao selecionar banco");
   mysqli_set_charset($db,"utf8");
   return $db;
}
$connWeb = connWeb();

define('DB_DRIVER'      , "sqlsrv");
define('DB_HOST'        , "192.168.0.237");
define('DB_USER'        , "projetos");
define('DB_PASSWORD'    , "projetos");
define('DB_NAME'        , "UNI");

function mask($val, $mask)
{
  $maskared = '';
  $k = 0;
  for ($i = 0; $i <= strlen($mask) - 1; ++$i) {
    if ($mask[$i] == '#') {
      if (isset($val[$k])) {
        $maskared .= $val[$k++];
      }
    } else {
      if (isset($mask[$i])) {
        $maskared .= $mask[$i];
      }
    }
  }
  return $maskared;
}

//Conexão SQLSERVER
require_once("./ConnSQLSERVER.php");
$Conexao = ConnSQLSERVER::getConnection();

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require_once("../utils/phpmailer/Exception.php");
require_once("../utils/phpmailer/PHPMailer.php");
require_once("../utils/phpmailer/SMTP.php");

$var = "";

function retornaSituacao($sit) {
  $descricao = "";
  switch ($sit) {
    case 1: $descricao = "Pendente";break;
    case 2: $descricao = "Aprovado";break;
    case 3: $descricao = "Rejeitado";break;
    default: $descricao = "";break;
  }
  return $descricao;
}

  $id           = 651;
  $situacao     = 2;
  $obs          = "Esse é um teste";
  $user_id      = 0;

  $getDataUser = mysqli_query($conn, "SELECT id FROM user 
      WHERE id = 6");
  if (mysqli_num_rows($getDataUser) > 0) {
    $listaDataUser = mysqli_fetch_array($getDataUser);
    $user_id = $listaDataUser['id'];
    $getInfo = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM autorizacao_faturamento WHERE id = '$id'"));
    if (true) {

      $situacao_antiga     = $getInfo['situacao'];

      $up = mysqli_query($conn, "UPDATE autorizacao_faturamento SET situacao = '$situacao' WHERE id = '$id'");
        
      if ($up) {
        $add = mysqli_query($conn, "INSERT INTO autorizacao_faturamento_rel(user_id,autorizacao_id,situacao,situacao_antes,obs) 
          VALUES('$user_id','$id','$situacao','$situacao_antiga','$obs')");

   
        /**
         * Aqui estou verificando se a situação é "Aprovado", se for, então vamos disparar email e whatsapp para o cliente
         */
        if ($situacao == 2) {
			     //PEGAR INFORMAÇÕES DO VENDEDOR
						$getInfoVendedor = mysqli_fetch_array(mysqli_query($conn, "SELECT nome,email_vendedor,loja_id FROM user WHERE id = '".$getInfo['user_id']."'"));
						$getInfoAutoweb  = mysqli_query($connWeb, "SELECT id FROM autorizacao_faturamento_web WHERE id_autorizacao = '".$getInfo['id']."'");
  

          $email_corpo = "";

          //montar corpo do email
          $email_corpo .= "
            <h4>Olá, ".$getInfo['cliente_nome']."</h4>

            <p>A Unidos Importados quer gerar um faturamento para você no valor de R$".number_format($getInfo['valor'],'2','.',',').", para x".$getInfo['parcelas']." parcela(s).</p>
            <p>Precisamos que você autorize este faturamento, para isso acesso o link abaixo, faça login com sua senha e autorize o faturamento pendente.</p>
            <p><a href='http://unidosimportados.com.br/painel' target='_blank'>Clique aqui para ver o faturamento.</a></p>
            <hr>
            <p>Caso não tenha solicitado esta autorização de faturamento apenas ignore este contato.</p>
          ";

          $whatsapp_corpo = "";
          $whatsapp_corpo .= "Olá, ".$getInfo['cliente_nome']."\n"; 
          $whatsapp_corpo .= "A Unidos Importados quer gerar um faturamento para você no valor de R$".number_format($getInfo['valor'],'2','.',',').", para x".$getInfo['parcelas']." parcela(s).\n"; 
          $whatsapp_corpo .= "Precisamos que você autorize este faturamento, para isso acesso o link abaixo, faça login com sua senha e autorize o faturamento pendente. \n"; 
          $whatsapp_corpo .= "http://unidosimportados.com.br/painel \n"; 
          $whatsapp_corpo .= "Caso não tenha solicitado esta autorização de faturamento apenas ignore este contato."; 

          $mail = new PHPMailer(true);
          $mail->isSMTP();
			    $mail->CharSet    = 'UTF-8';
				  // $mail->Host       = 'smtp.uni5.net';
				  $mail->Host       = 'mail.unidosimportados.com.br';
			    $mail->SMTPAuth   = true;
			    $mail->Username   = 'autorizacao@unidosimportados.com.br';
				  $mail->Password   = 'xtdc1227';
				  // $mail->Password   = 'RROuniFS@1103';
			    $mail->SMTPSecure = 'tls';
			    $mail->Port       = 587;

          $mail->setFrom('autorizacao@unidosimportados.com.br', 'Unidos Importados');
          $mail->addAddress($getInfo['cliente_email'], $getInfo['cliente_nome']);
  		    $mail->addAddress('teste@unidosimportados.com.br', 'Unidos - Autorização de faturamento');

          $mail->isHTML(true);
          $mail->Subject = "Autorização de Faturamento - Unidos Importados";
          $mail->Body    = $email_corpo;
          $mail->AltBody = $email_corpo;
          $variavel = $mail->send();

	        $var = array(
	          'status'  => true,
	          'msg'     => 'Email enviado, Processo concluído com sucesso!'
	        );
        } else {
	        $var = array(
	          'status'  => true,
	          'msg'     => 'Processo concluído com sucesso!'
	        );
        }

		
      } else {
        $var = array(
          'status'  => false,
          'msg'     => 'Falha no processo.'
        );
      }

    } else {
      $var = array(
        'status'  => false,
        'msg'     => 'A situação já está imposta.'
      );
    }
  } else {
    $var = array(
      'status'  => false,
      'msg'     => 'Senha não identificada'
    );
  }

  echo '<pre>';
  var_dump($var);
  echo '</pre>';